org.keycloak.models.cache.infinispan.authorization

## Class StoreFactoryCacheSession.ResourceServerCache

- java.lang.Object
- - org.keycloak.models.cache.infinispan.authorization.StoreFactoryCacheSession.ResourceServerCache

- All Implemented Interfaces:
    ResourceServerStore
  Enclosing class:
    StoreFactoryCacheSession

      protected class StoreFactoryCacheSession.ResourceServerCache
      extends Object
      implements ResourceServerStore

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ResourceServerCache()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResourceServer` | `create(String clientId)` Creates a `ResourceServer` instance backed by this persistent storage implementation.
    `void` | `delete(String id)` Removes a `ResourceServer` instance, with the given `id` from the persistent storage.
    `ResourceServer` | `findById(String id)` Returns a `ResourceServer` instance based on its identifier.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceServerCache

          protected ResourceServerCache()

  - ### Method Detail

    - #### create

          public ResourceServer create(String clientId)

      Description copied from interface: `ResourceServerStore`

      Creates a `ResourceServer` instance backed by this persistent storage implementation.

      Specified by:
        `create` in interface `ResourceServerStore`
      Parameters:
        `clientId` - the client id acting as a resource server
      Returns:
        an instance backed by the underlying storage implementation

    - #### delete

          public void delete(String id)

      Description copied from interface: `ResourceServerStore`
      Removes a `ResourceServer` instance, with the given `id` from the persistent storage.
      Specified by:
        `delete` in interface `ResourceServerStore`
      Parameters:
        `id` - the identifier of an existing resource server instance

    - #### findById

          public ResourceServer findById(String id)

      Description copied from interface: `ResourceServerStore`
      Returns a `ResourceServer` instance based on its identifier.
      Specified by:
        `findById` in interface `ResourceServerStore`
      Parameters:
        `id` - the identifier of an existing resource server instance
      Returns:
        the resource server instance with the given identifier or null if no instance was found

Copyright © 2021 JBoss by Red Hat. All rights reserved.